[arch-commits] Commit in synfig/repos (8 files)

Bartłomiej Piotrowski bpiotrowski at archlinux.org
Mon Jan 2 10:28:22 UTC 2017


    Date: Monday, January 2, 2017 @ 10:28:21
  Author: bpiotrowski
Revision: 204268

archrelease: copy trunk to community-staging-i686, community-staging-x86_64

Added:
  synfig/repos/community-staging-i686/
  synfig/repos/community-staging-i686/PKGBUILD
    (from rev 204267, synfig/trunk/PKGBUILD)
  synfig/repos/community-staging-i686/build-fix.patch
    (from rev 204267, synfig/trunk/build-fix.patch)
  synfig/repos/community-staging-i686/ffmpeg-0.8.patch
    (from rev 204267, synfig/trunk/ffmpeg-0.8.patch)
  synfig/repos/community-staging-x86_64/
  synfig/repos/community-staging-x86_64/PKGBUILD
    (from rev 204267, synfig/trunk/PKGBUILD)
  synfig/repos/community-staging-x86_64/build-fix.patch
    (from rev 204267, synfig/trunk/build-fix.patch)
  synfig/repos/community-staging-x86_64/ffmpeg-0.8.patch
    (from rev 204267, synfig/trunk/ffmpeg-0.8.patch)

-------------------------------------------+
 community-staging-i686/PKGBUILD           |   47 +++++++++++++++++++++
 community-staging-i686/build-fix.patch    |   56 ++++++++++++++++++++++++++
 community-staging-i686/ffmpeg-0.8.patch   |   60 ++++++++++++++++++++++++++++
 community-staging-x86_64/PKGBUILD         |   47 +++++++++++++++++++++
 community-staging-x86_64/build-fix.patch  |   56 ++++++++++++++++++++++++++
 community-staging-x86_64/ffmpeg-0.8.patch |   60 ++++++++++++++++++++++++++++
 6 files changed, 326 insertions(+)

Copied: synfig/repos/community-staging-i686/PKGBUILD (from rev 204267, synfig/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD	                        (rev 0)
+++ community-staging-i686/PKGBUILD	2017-01-02 10:28:21 UTC (rev 204268)
@@ -0,0 +1,47 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Franco Iacomella <yaco at gnu.org>
+
+pkgname=synfig
+pkgver=1.0.2
+pkgrel=8
+pkgdesc="Professional vector animation program (CLI renderer only)"
+arch=(i686 x86_64)
+url="http://synfig.org"
+license=('GPL2')
+depends=('libxml++' 'libsigc++2.0' 'etl' 'imagemagick' 'ffmpeg-compat' 'fontconfig' 'libpng'
+	 'libtiff' 'libdv' 'libmng' 'cairo' 'pango' 'boost-libs' 'mlt')
+makedepends=('boost')
+optdepends=('openexr' 'libsigc++')
+conflicts=('synfig-core')
+replaces=('synfig-core')
+#source=(http://download.tuxfamily.org/synfig/releases/$pkgver/synfig-$pkgver.tar.gz
+source=(http://downloads.sourceforge.net/project/synfig/releases/$pkgver/source/synfig-$pkgver.tar.gz
+	build-fix.patch
+	ffmpeg-0.8.patch)
+md5sums=('a7b19f9eb22f2bd82067ebc1401b8808'
+         '16b852a3ff44765d8efd2ce597f5ca0e'
+         'ebf41046097cfd778dee9a9854561dae')
+
+prepare() {
+  cd $pkgname-$pkgver
+  patch -p1 -i "$srcdir/build-fix.patch"
+  patch -Np1 -i "$srcdir/ffmpeg-0.8.patch"
+  sed -i 's|.*set_remove_alpha.*||g' src/modules/mod_libavcodec/trgt_av.cpp
+}
+
+build() {
+  cd $pkgname-$pkgver
+  export PKG_CONFIG_PATH=/usr/lib/ffmpeg-compat/pkgconfig:$PKG_CONFIG_PATH
+  LDFLAGS="$LDFLAGS -Wl,-rpath -Wl,/usr/lib/ffmpeg-compat"
+  CFLAGS="$CFLAGS -D__STDC_CONSTANT_MACROS"
+  CXXFLAGS="$CXXFLAGS -D__STDC_CONSTANT_MACROS -std=gnu++11"
+  [ -f configure ] || { libtoolize --ltdl --copy --force && autoreconf --install --force; }
+  [ -f Makefile ] || ./configure --prefix=/usr --sysconfdir=/etc --with-libavcodec --with-libdv
+  make
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}

Copied: synfig/repos/community-staging-i686/build-fix.patch (from rev 204267, synfig/trunk/build-fix.patch)
===================================================================
--- community-staging-i686/build-fix.patch	                        (rev 0)
+++ community-staging-i686/build-fix.patch	2017-01-02 10:28:21 UTC (rev 204268)
@@ -0,0 +1,56 @@
+diff -wbBur synfig-1.0-RC5/src/modules/mod_libavcodec/mptr.cpp synfig-1.0-RC5.my/src/modules/mod_libavcodec/mptr.cpp
+--- synfig-1.0-RC5/src/modules/mod_libavcodec/mptr.cpp	2015-03-28 13:15:00.000000000 +0300
++++ synfig-1.0-RC5.my/src/modules/mod_libavcodec/mptr.cpp	2015-04-28 16:56:11.568749053 +0300
+@@ -56,8 +56,8 @@
+ /* === M E T H O D S ======================================================= */
+ 
+ 
+-Importer_LibAVCodec::Importer_LibAVCodec(const char *file):
+-	filename(file)
++Importer_LibAVCodec::Importer_LibAVCodec(const synfig::FileSystem::Identifier &identifier):
++	Importer(identifier)
+ {
+ }
+ 
+diff -wbBur synfig-1.0-RC5/src/modules/mod_libavcodec/mptr.h synfig-1.0-RC5.my/src/modules/mod_libavcodec/mptr.h
+--- synfig-1.0-RC5/src/modules/mod_libavcodec/mptr.h	2015-03-28 13:15:00.000000000 +0300
++++ synfig-1.0-RC5.my/src/modules/mod_libavcodec/mptr.h	2015-04-28 16:55:18.699192946 +0300
+@@ -46,7 +46,7 @@
+ 	synfig::String filename;
+ 
+ public:
+-	Importer_LibAVCodec(const char *filename);
++	Importer_LibAVCodec(const synfig::FileSystem::Identifier &identifier);
+ 	~Importer_LibAVCodec();
+ 
+ 	virtual bool get_frame(synfig::Surface &surface, const synfig::RendDesc &renddesc, synfig::Time time, synfig::ProgressCallback *callback);
+diff -wbBur synfig-1.0-RC5/src/modules/mod_libavcodec/trgt_av.cpp synfig-1.0-RC5.my/src/modules/mod_libavcodec/trgt_av.cpp
+--- synfig-1.0-RC5/src/modules/mod_libavcodec/trgt_av.cpp	2015-03-28 13:15:00.000000000 +0300
++++ synfig-1.0-RC5.my/src/modules/mod_libavcodec/trgt_av.cpp	2015-04-28 16:46:54.720091106 +0300
+@@ -121,14 +121,14 @@
+     picture = avcodec_alloc_frame();
+     if (!picture)
+         return NULL;
+-    size = avpicture_get_size(pix_fmt, width, height);
++    size = avpicture_get_size((::PixelFormat)pix_fmt, width, height);
+     picture_buf = (uint8_t *)malloc(size);
+     if (!picture_buf) {
+         av_free(picture);
+         return NULL;
+     }
+     avpicture_fill((AVPicture *)picture, picture_buf,
+-                   pix_fmt, width, height);
++                   (::PixelFormat)pix_fmt, width, height);
+     return picture;
+ }
+ 
+diff -wbBur synfig-1.0.2/src/synfig/time.cpp synfig-1.0.2.my/src/synfig/time.cpp
+--- synfig-1.0.2/src/synfig/time.cpp	2015-07-09 10:33:03.000000000 +0300
++++ synfig-1.0.2.my/src/synfig/time.cpp	2015-10-12 13:54:58.382313903 +0300
+@@ -319,5 +319,5 @@
+ bool
+ Time::is_valid()const
+ {
+-	return !isnan(value_);
++	return !::isnan(value_);
+ }

Copied: synfig/repos/community-staging-i686/ffmpeg-0.8.patch (from rev 204267, synfig/trunk/ffmpeg-0.8.patch)
===================================================================
--- community-staging-i686/ffmpeg-0.8.patch	                        (rev 0)
+++ community-staging-i686/ffmpeg-0.8.patch	2017-01-02 10:28:21 UTC (rev 204268)
@@ -0,0 +1,60 @@
+diff -aur synfig-0.63.02/src/modules/mod_libavcodec/trgt_av.cpp synfig-0.63.02.new/src/modules/mod_libavcodec/trgt_av.cpp
+--- synfig-0.63.02/src/modules/mod_libavcodec/trgt_av.cpp	2011-09-29 10:51:41.000000000 +0200
++++ synfig-0.63.02.new/src/modules/mod_libavcodec/trgt_av.cpp	2011-10-31 16:39:03.000000000 +0100
+@@ -441,7 +441,7 @@
+ 		if( context->coded_frame )
+ 			pkt.pts = context->coded_frame->pts;
+ 		if( context->coded_frame && context->coded_frame->key_frame)
+-			pkt.flags |= PKT_FLAG_KEY;
++			pkt.flags |= AV_PKT_FLAG_KEY;
+ 
+ 		//kluge for raw picture format (they said they'd fix)
+ 		if (formatc->oformat->flags & AVFMT_RAWPICTURE)
+@@ -463,7 +463,7 @@
+ 				if( context->coded_frame )
+ 					pkt.pts = context->coded_frame->pts;
+ 				if( context->coded_frame && context->coded_frame->key_frame)
+-					pkt.flags |= PKT_FLAG_KEY;
++					pkt.flags |= AV_PKT_FLAG_KEY;
+ 
+ 				ret = av_write_frame(formatc, &pkt);
+ 
+@@ -567,17 +567,17 @@
+ 		if (typestring)
+ 		{
+ 			//formatptr guess_format(type, filename, MIME type)
+-			format = guess_format(typestring,NULL,NULL);
++			format = av_guess_format(typestring,NULL,NULL);
+ 		}
+ 		else
+ 		{
+-			format = guess_format(NULL, filename, NULL);
++			format = av_guess_format(NULL, filename, NULL);
+ 		}
+ 
+ 		if(!format)
+ 		{
+ 			synfig::warning("Unable to Guess the output, defaulting to mpeg");
+-			format = guess_format("mpeg", NULL, NULL);
++			format = av_guess_format("mpeg", NULL, NULL);
+ 		}
+ 
+ 		if(!format)
+@@ -753,7 +753,7 @@
+ 
+ 		context = st->codec;
+ 		context->codec_id = (CodecID)codec_id;
+-		context->codec_type = CODEC_TYPE_VIDEO;
++		context->codec_type = AVMEDIA_TYPE_VIDEO;
+ 
+ 		//PARAMETERS MUST BE PASSED IN SOMEHOW (ANOTHER FUNCTION PARAMETER???)
+ 
+@@ -800,7 +800,7 @@
+ 
+ 		context = stream->codec;
+ 		context->codec_id = (CodecID)codec_id;
+-		context->codec_type = CODEC_TYPE_AUDIO;
++		context->codec_type = AVMEDIA_TYPE_AUDIO;
+ 
+ 		/* put sample parameters */
+ 		context->bit_rate = 64000;

Copied: synfig/repos/community-staging-x86_64/PKGBUILD (from rev 204267, synfig/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2017-01-02 10:28:21 UTC (rev 204268)
@@ -0,0 +1,47 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Franco Iacomella <yaco at gnu.org>
+
+pkgname=synfig
+pkgver=1.0.2
+pkgrel=8
+pkgdesc="Professional vector animation program (CLI renderer only)"
+arch=(i686 x86_64)
+url="http://synfig.org"
+license=('GPL2')
+depends=('libxml++' 'libsigc++2.0' 'etl' 'imagemagick' 'ffmpeg-compat' 'fontconfig' 'libpng'
+	 'libtiff' 'libdv' 'libmng' 'cairo' 'pango' 'boost-libs' 'mlt')
+makedepends=('boost')
+optdepends=('openexr' 'libsigc++')
+conflicts=('synfig-core')
+replaces=('synfig-core')
+#source=(http://download.tuxfamily.org/synfig/releases/$pkgver/synfig-$pkgver.tar.gz
+source=(http://downloads.sourceforge.net/project/synfig/releases/$pkgver/source/synfig-$pkgver.tar.gz
+	build-fix.patch
+	ffmpeg-0.8.patch)
+md5sums=('a7b19f9eb22f2bd82067ebc1401b8808'
+         '16b852a3ff44765d8efd2ce597f5ca0e'
+         'ebf41046097cfd778dee9a9854561dae')
+
+prepare() {
+  cd $pkgname-$pkgver
+  patch -p1 -i "$srcdir/build-fix.patch"
+  patch -Np1 -i "$srcdir/ffmpeg-0.8.patch"
+  sed -i 's|.*set_remove_alpha.*||g' src/modules/mod_libavcodec/trgt_av.cpp
+}
+
+build() {
+  cd $pkgname-$pkgver
+  export PKG_CONFIG_PATH=/usr/lib/ffmpeg-compat/pkgconfig:$PKG_CONFIG_PATH
+  LDFLAGS="$LDFLAGS -Wl,-rpath -Wl,/usr/lib/ffmpeg-compat"
+  CFLAGS="$CFLAGS -D__STDC_CONSTANT_MACROS"
+  CXXFLAGS="$CXXFLAGS -D__STDC_CONSTANT_MACROS -std=gnu++11"
+  [ -f configure ] || { libtoolize --ltdl --copy --force && autoreconf --install --force; }
+  [ -f Makefile ] || ./configure --prefix=/usr --sysconfdir=/etc --with-libavcodec --with-libdv
+  make
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}

Copied: synfig/repos/community-staging-x86_64/build-fix.patch (from rev 204267, synfig/trunk/build-fix.patch)
===================================================================
--- community-staging-x86_64/build-fix.patch	                        (rev 0)
+++ community-staging-x86_64/build-fix.patch	2017-01-02 10:28:21 UTC (rev 204268)
@@ -0,0 +1,56 @@
+diff -wbBur synfig-1.0-RC5/src/modules/mod_libavcodec/mptr.cpp synfig-1.0-RC5.my/src/modules/mod_libavcodec/mptr.cpp
+--- synfig-1.0-RC5/src/modules/mod_libavcodec/mptr.cpp	2015-03-28 13:15:00.000000000 +0300
++++ synfig-1.0-RC5.my/src/modules/mod_libavcodec/mptr.cpp	2015-04-28 16:56:11.568749053 +0300
+@@ -56,8 +56,8 @@
+ /* === M E T H O D S ======================================================= */
+ 
+ 
+-Importer_LibAVCodec::Importer_LibAVCodec(const char *file):
+-	filename(file)
++Importer_LibAVCodec::Importer_LibAVCodec(const synfig::FileSystem::Identifier &identifier):
++	Importer(identifier)
+ {
+ }
+ 
+diff -wbBur synfig-1.0-RC5/src/modules/mod_libavcodec/mptr.h synfig-1.0-RC5.my/src/modules/mod_libavcodec/mptr.h
+--- synfig-1.0-RC5/src/modules/mod_libavcodec/mptr.h	2015-03-28 13:15:00.000000000 +0300
++++ synfig-1.0-RC5.my/src/modules/mod_libavcodec/mptr.h	2015-04-28 16:55:18.699192946 +0300
+@@ -46,7 +46,7 @@
+ 	synfig::String filename;
+ 
+ public:
+-	Importer_LibAVCodec(const char *filename);
++	Importer_LibAVCodec(const synfig::FileSystem::Identifier &identifier);
+ 	~Importer_LibAVCodec();
+ 
+ 	virtual bool get_frame(synfig::Surface &surface, const synfig::RendDesc &renddesc, synfig::Time time, synfig::ProgressCallback *callback);
+diff -wbBur synfig-1.0-RC5/src/modules/mod_libavcodec/trgt_av.cpp synfig-1.0-RC5.my/src/modules/mod_libavcodec/trgt_av.cpp
+--- synfig-1.0-RC5/src/modules/mod_libavcodec/trgt_av.cpp	2015-03-28 13:15:00.000000000 +0300
++++ synfig-1.0-RC5.my/src/modules/mod_libavcodec/trgt_av.cpp	2015-04-28 16:46:54.720091106 +0300
+@@ -121,14 +121,14 @@
+     picture = avcodec_alloc_frame();
+     if (!picture)
+         return NULL;
+-    size = avpicture_get_size(pix_fmt, width, height);
++    size = avpicture_get_size((::PixelFormat)pix_fmt, width, height);
+     picture_buf = (uint8_t *)malloc(size);
+     if (!picture_buf) {
+         av_free(picture);
+         return NULL;
+     }
+     avpicture_fill((AVPicture *)picture, picture_buf,
+-                   pix_fmt, width, height);
++                   (::PixelFormat)pix_fmt, width, height);
+     return picture;
+ }
+ 
+diff -wbBur synfig-1.0.2/src/synfig/time.cpp synfig-1.0.2.my/src/synfig/time.cpp
+--- synfig-1.0.2/src/synfig/time.cpp	2015-07-09 10:33:03.000000000 +0300
++++ synfig-1.0.2.my/src/synfig/time.cpp	2015-10-12 13:54:58.382313903 +0300
+@@ -319,5 +319,5 @@
+ bool
+ Time::is_valid()const
+ {
+-	return !isnan(value_);
++	return !::isnan(value_);
+ }

Copied: synfig/repos/community-staging-x86_64/ffmpeg-0.8.patch (from rev 204267, synfig/trunk/ffmpeg-0.8.patch)
===================================================================
--- community-staging-x86_64/ffmpeg-0.8.patch	                        (rev 0)
+++ community-staging-x86_64/ffmpeg-0.8.patch	2017-01-02 10:28:21 UTC (rev 204268)
@@ -0,0 +1,60 @@
+diff -aur synfig-0.63.02/src/modules/mod_libavcodec/trgt_av.cpp synfig-0.63.02.new/src/modules/mod_libavcodec/trgt_av.cpp
+--- synfig-0.63.02/src/modules/mod_libavcodec/trgt_av.cpp	2011-09-29 10:51:41.000000000 +0200
++++ synfig-0.63.02.new/src/modules/mod_libavcodec/trgt_av.cpp	2011-10-31 16:39:03.000000000 +0100
+@@ -441,7 +441,7 @@
+ 		if( context->coded_frame )
+ 			pkt.pts = context->coded_frame->pts;
+ 		if( context->coded_frame && context->coded_frame->key_frame)
+-			pkt.flags |= PKT_FLAG_KEY;
++			pkt.flags |= AV_PKT_FLAG_KEY;
+ 
+ 		//kluge for raw picture format (they said they'd fix)
+ 		if (formatc->oformat->flags & AVFMT_RAWPICTURE)
+@@ -463,7 +463,7 @@
+ 				if( context->coded_frame )
+ 					pkt.pts = context->coded_frame->pts;
+ 				if( context->coded_frame && context->coded_frame->key_frame)
+-					pkt.flags |= PKT_FLAG_KEY;
++					pkt.flags |= AV_PKT_FLAG_KEY;
+ 
+ 				ret = av_write_frame(formatc, &pkt);
+ 
+@@ -567,17 +567,17 @@
+ 		if (typestring)
+ 		{
+ 			//formatptr guess_format(type, filename, MIME type)
+-			format = guess_format(typestring,NULL,NULL);
++			format = av_guess_format(typestring,NULL,NULL);
+ 		}
+ 		else
+ 		{
+-			format = guess_format(NULL, filename, NULL);
++			format = av_guess_format(NULL, filename, NULL);
+ 		}
+ 
+ 		if(!format)
+ 		{
+ 			synfig::warning("Unable to Guess the output, defaulting to mpeg");
+-			format = guess_format("mpeg", NULL, NULL);
++			format = av_guess_format("mpeg", NULL, NULL);
+ 		}
+ 
+ 		if(!format)
+@@ -753,7 +753,7 @@
+ 
+ 		context = st->codec;
+ 		context->codec_id = (CodecID)codec_id;
+-		context->codec_type = CODEC_TYPE_VIDEO;
++		context->codec_type = AVMEDIA_TYPE_VIDEO;
+ 
+ 		//PARAMETERS MUST BE PASSED IN SOMEHOW (ANOTHER FUNCTION PARAMETER???)
+ 
+@@ -800,7 +800,7 @@
+ 
+ 		context = stream->codec;
+ 		context->codec_id = (CodecID)codec_id;
+-		context->codec_type = CODEC_TYPE_AUDIO;
++		context->codec_type = AVMEDIA_TYPE_AUDIO;
+ 
+ 		/* put sample parameters */
+ 		context->bit_rate = 64000;



More information about the arch-commits mailing list